> For the complete documentation index, see [llms.txt](https://docs.b2copy.b2broker.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2copy.b2broker.com/api-documentation.md).

# API Documentation

- [Authorization in the Back Office](https://docs.b2copy.b2broker.com/api-documentation/authorization-in-the-back-office.md): Learn how to authorize in the Back Office using bearer tokens via the B2COPY API and obtain access and refresh tokens with your login credentials
- [Get a list of master and investment accounts](https://docs.b2copy.b2broker.com/api-documentation/get-a-list-of-master-and-investment-accounts.md): Retrieve a list of master and investment accounts created on the B2COPY investment platform using this API method
- [Create a master or investment account using the existing MT account](https://docs.b2copy.b2broker.com/api-documentation/create-a-master-or-investment-account-using-the-existing-mt-account.md): Create a master or investment account on the B2COPY investment platform using a client’s existing MT account with this API method
- [Get data for the Statistics widget](https://docs.b2copy.b2broker.com/api-documentation/get-data-for-the-statistics-widget.md): Use these API methods to retrieve account details and trading statistics for display in the B2COPY Statistics widget
- [Get data for the Leaderboard widget](https://docs.b2copy.b2broker.com/api-documentation/get-data-for-the-leaderboard-widget.md): Use this API retrieve data for accounts shown in the Leaderboard widget, including copy trading, PAMM, or MAM
- [Seamless authorization (only for a standalone solution)](https://docs.b2copy.b2broker.com/api-documentation/seamless-authorization-only-for-a-standalone-solution.md): Enable smooth client sign-in from external CRMs to the B2COPY Web UI by retrieving a seamless authorization URL with the appropriate token for client login
- [Register a client and create their payment account (only for a standalone solution)](https://docs.b2copy.b2broker.com/api-documentation/register-a-client-and-create-their-payment-account-only-for-a-standalone-solution.md): Use these API methods to register a client and create their payment account in standalone B2COPY solutions
- [Integrate your external CRM system with the B2COPY API](https://docs.b2copy.b2broker.com/api-documentation/integrate-your-external-crm-system-with-b2copy-api.md): Learn how to authorize in B2COPY from your external CRM system and obtain the access token required for using the B2COPY API
- [Initiate fee processing between master and investment accounts](https://docs.b2copy.b2broker.com/api-documentation/initiate-fee-processing-between-master-and-investment-accounts.md): Use this API method to initiate fee processing between a master account and a subscribed investment account


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.b2copy.b2broker.com/api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
